# Interface IfcGeometryBuilderCreateOptions

Represents the options for creating an IfcGeometryBuilder.

interface IfcGeometryBuilderCreateOptions {
cullOnCameraMovePredicate?: CullOnCameraMovePredicate;
loaderElements: IBimIfcLoaderElement[];
predicate: (ifcProduct: BimIfcObject) => unknown;
renderControl?: GeometryBuilderRenderControl;
}

#### Hierarchy (View Summary)

- GeometryBuilderOptions
  - IfcGeometryBuilderCreateOptions

##### Index

### Properties

cullOnCameraMovePredicate?
loaderElements
predicate
renderControl?

## Properties

### `Optional` cullOnCameraMovePredicate

cullOnCameraMovePredicate?: CullOnCameraMovePredicate

Predicate function used to decide which meshes can be culled when moving the camera.

#### See

CullOnCameraMovePredicate

Inherited from GeometryBuilderOptions.cullOnCameraMovePredicate

### loaderElements

loaderElements: IBimIfcLoaderElement[]

The IFC loader elements containing IFC products to create geometries from.

### predicate

predicate: (ifcProduct: BimIfcObject) => unknown

The predicate function used to filter which BimIfcObject instances to include in the geometry creation.

Inherited from GeometryBuilderOptions.predicate

### `Optional` renderControl

renderControl?: GeometryBuilderRenderControl

Optional render control used by IfcGeometryBuilder.build to pause rendering during geometry creation and periodically render progress frames.